#include <stdio.h>

int main () {
  
  int i, j, n;
  scanf("%d", &n);
  if(n<=0){
    printf("-1\n");
    return 0;
  }
  for(i=0; i<n; i++){
    for(j=0; j<i; j++)
      printf(" ");
    for(j=n-i-1; j>0; j--)
      printf("*-");
    printf("*");
    printf("\n");
  }
  
return 0;
}
